<id>
Bookmark Mod for Yabb compatible with Rules Mod
</id>

<version>
0.1 Beta
</version>

<mod info>
Description:
- This Mod adds a Bookmark Button to your Yabb menu.

-------------------------
INSTALLATION INSTRUCTIONS
-------------------------

1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.
3) Upload Button in Binary mod

Apply this mod using Boardmod.

Upload these MODIFIED files:

 - Templates/Default/default.html
 - Sources/subs.pl
 - Variables/Menu0.def
 - Variables/Menu1.def
 - Variables/Menu2.def
 - Languages/German/Menu.lng
 - Languages/English/Menu.lng
 - Admin/Modlist.pl

-------------
 Mod History
-------------

Version 0.1 - Original Release, BETA.
</mod info>

<author>
Thomas Mueller (ThM)
</author>

<homepage>
http://www.toptools4you.de
</homepage>

<edit file>
Templates/Default/default.html
</edit file>

<search for>
<title><yabb title></title>
<meta http-equiv="Content-Type" content="text/html; charset=<yabb charset>" />
<yabb style>
</search for>

<add after>
<!-- Bookmark Script Start -->
<script type="text/javascript">
function bookmark(title, url){
if (document.all)
window.external.AddFavorite(url, title);
else if (window.sidebar)
window.sidebar.addPanel(title, url, "")
}
</script>
<!-- Bookmark Script Ende -->
</add after>

<edit file>
Sources/subs.pl
</edit file>

<search for>
	# remove search from menu if disabled by the admin 
	$yymenu = qq~<a href="$scripturl">$img{'home'}</a>$menusep<a href="$scripturl?action=help" style="cursor:help;">$img{'help'}</a>~;
	if ($maxsearchdisplay > -1) {
		$yymenu .= qq~$menusep<a href="$scripturl?action=search">$img{'search'}</a>$img{'bookmark'}$menusep<a href="$scripturl?action=rules">$img{'rules'}</a>~;
	}
</search for>

<replace>
	# remove search from menu if disabled by the admin 
	$yymenu = qq~<a href="$scripturl">$img{'home'}</a>$menusep<a href="$scripturl?action=help" style="cursor:help;">$img{'help'}</a>~;
	if ($maxsearchdisplay > -1) {
		$yymenu .= qq~$menusep<a href="$scripturl?action=search">$img{'search'}</a>$menusep<a href="javascript:bookmark('$mbname', '$scripturl')">$img{'bookmark'}$menusep<a href="$scripturl?action=rules">$img{'rules'}</a>~;
	}
</replace>

<edit file>
Variables/Menu0.def
</edit file>

<search for>
%img = (
</search for>

<add after>
'bookmark' => "<img src=\"$imagesdir/bookmark.$imgext\" alt=\$img_txt{'bookmark'}\" border=\"0\" /> <span class=\"imgmenu\">$img_txt{'bookmark'}</span>",
</add after>

<edit file>
Variables/Menu1.def
</edit file>

<search for>
%img = (
</search for>

<add after>
'bookmark' => "<span class=\"imgmenu\">$img_txt{'bookmark'}</span>",
</add after>

<edit file>
Variables/Menu2.def
</edit file>

<search for>
%img = (
</search for>

<add after>
'bookmark' => "<img src=\"$html_root/Buttons/$language/bookmark.$imgext\" alt=\"$img_txt{'bookmark'}\" border=\"0\" />",
</add after>

<edit file>
Languages/German/Menu.lng
</edit file>

<search for>
%img_txt =(
</search for>

<add after>
'bookmark' => "Dieses Forum zu den Favoriten hinzufgen",
</add after>

<edit file>
Languages/English/Menu.lng
</edit file>

<search for>
%img_txt =(
</search for>

<add after>
'bookmark' => "Add these YaBB Board to Bookmark",
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$bookmark = "Bookmark Yabbforum|Thomas Mueller (<a href=\"http://www.toptools4you.de\" target=\"_blank\">ThM</a>)|This Mod adds a Bookmark possibility for your Visitors to your Yabb menu.|0.1|28/10/06";
	push (@installed_mods, "$bookmark");
</add before>